1 Reply Latest reply on Sep 2, 2015 11:33 AM by Tanuj Sandal

    "LR catalog cannot be opened because it is too new to be used by this version of LR" is my error message.

    kzhmere

      I subscribe for Lightroom and everything is up to date with the latest and greatest. This all started after we went to the beach and I installed on my husband's laptop for beach pics. When I got home I tried to import that catalog into my image vault and got a message that I'd created the beach catalog with a newer version of LR and so it wouldn't work. I needed an update on CC, so I did that. Still wouldn't open. So created a new catalog where I successfully imported both old catalogs. Closed out, backed up, restarted so as to start working with a clean slate this morning and LR won't open the new Vault. 

       

      Can anyone shed some light onto what's going on??

       

       

      Much thanks for any help!!

       

      kim